apiVersion: kubevirt.io/v1
kind: VirtualMachineInstance
metadata:
  annotations:
    kubevirt.io/cluster-instancetype-name: u1.large
    kubevirt.io/cluster-preference-name: windows.11.virtio
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/vm-generation: '5'
    vm.kubevirt.io/os: windows
  resourceVersion: '5320655727'
  name: windows-11-virtio-moccasin-unicorn-22
  uid: 2180c0a8-e8ec-4106-9396-87c5096a06bd
  creationTimestamp: '2025-01-22T16:00:54Z'
  generation: 16
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubevirt.io/cluster-instancetype-name': {}
            'f:kubevirt.io/cluster-preference-name': {}
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
            'f:kubevirt.io/vm-generation': {}
            'f:vm.kubevirt.io/os': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
          'f:labels':
            .: {}
            'f:kubevirt.io/nodeName': {}
            'f:kubevirt.io/outdatedLauncherImage': {}
            'f:network.kubevirt.io/headlessService': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"f03cc002-b2ed-4af3-a8ae-9ad1610d81db"}': {}
        'f:spec':
          .: {}
          'f:architecture': {}
          'f:domain':
            'f:devices':
              .: {}
              'f:autoattachInputDevice': {}
              'f:autoattachPodInterface': {}
              'f:disks': {}
              'f:inputs': {}
              'f:interfaces': {}
              'f:tpm':
                .: {}
                'f:persistent': {}
            .: {}
            'f:firmware':
              .: {}
              'f:bootloader':
                .: {}
                'f:efi':
                  .: {}
                  'f:persistent': {}
                  'f:secureBoot': {}
              'f:uuid': {}
            'f:resources': {}
            'f:features':
              .: {}
              'f:acpi': {}
              'f:apic': {}
              'f:hyperv':
                'f:runtime': {}
                'f:vpindex': {}
                'f:frequencies': {}
                'f:vapic': {}
                'f:reenlightenment': {}
                .: {}
                'f:tlbflush': {}
                'f:synic': {}
                'f:ipi': {}
                'f:spinlocks':
                  .: {}
                  'f:spinlocks': {}
                'f:synictimer':
                  .: {}
                  'f:direct': {}
                'f:relaxed': {}
                'f:reset': {}
              'f:smm': {}
            'f:machine':
              .: {}
              'f:type': {}
            'f:cpu':
              .: {}
              'f:cores': {}
              'f:sockets': {}
              'f:threads': {}
            'f:memory':
              .: {}
              'f:guest': {}
            'f:clock':
              .: {}
              'f:timer':
                .: {}
                'f:hpet':
                  .: {}
                  'f:present': {}
                'f:hyperv': {}
                'f:pit':
                  .: {}
                  'f:tickPolicy': {}
                'f:rtc':
                  .: {}
                  'f:tickPolicy': {}
              'f:utc': {}
          'f:networks': {}
          'f:subdomain': {}
          'f:terminationGracePeriodSeconds': {}
          'f:volumes': {}
        'f:status':
          'f:nodeName': {}
          'f:activePods':
            .: {}
            'f:6bc7580e-ef06-4e9c-956c-b98e8bd736c8': {}
          'f:topologyHints':
            .: {}
            'f:tscFrequency': {}
          'f:launcherContainerImageVersion': {}
          .: {}
          'f:migrationTransport': {}
          'f:runtimeUser': {}
          'f:virtualMachineRevisionName': {}
          'f:guestOSInfo': {}
          'f:qosClass': {}
      manager: virt-controller
      operation: Update
      time: '2025-01-22T16:03:14Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:volumeStatus': {}
          'f:selinuxContext': {}
          'f:phase': {}
          'f:conditions': {}
          'f:interfaces': {}
          'f:machine':
            .: {}
            'f:type': {}
          'f:guestOSInfo':
            'f:id': {}
            'f:kernelRelease': {}
            'f:kernelVersion': {}
            'f:machine': {}
            'f:name': {}
            'f:prettyName': {}
            'f:version': {}
            'f:versionId': {}
          'f:phaseTransitionTimestamps': {}
          'f:migrationMethod': {}
      manager: virt-handler
      operation: Update
      time: '2025-01-22T16:03:52Z'
  namespace: dholler
  ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachine
      name: windows-11-virtio-moccasin-unicorn-22
      uid: f03cc002-b2ed-4af3-a8ae-9ad1610d81db
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    - foregroundDeleteVirtualMachine
  labels:
    kubevirt.io/nodeName: cnvqe-20.lab.eng.tlv2.redhat.com
    kubevirt.io/outdatedLauncherImage: ''
    network.kubevirt.io/headlessService: headless
spec:
  architecture: amd64
  domain:
    clock:
      timer:
        hpet:
          present: false
        hyperv:
          present: true
        pit:
          present: true
          tickPolicy: delay
        rtc:
          present: true
          tickPolicy: catchup
      utc: {}
    cpu:
      cores: 1
      maxSockets: 8
      model: host-model
      sockets: 2
      threads: 1
    devices:
      autoattachInputDevice: true
      autoattachPodInterface: false
      disks:
        - disk:
            bus: virtio
          name: rootdisk
      inputs:
        - bus: virtio
          name: default-0
          type: tablet
      interfaces:
        - macAddress: '02:26:19:00:00:d7'
          masquerade: {}
          model: virtio
          name: default
      tpm:
        persistent: true
    features:
      acpi:
        enabled: true
      apic:
        enabled: true
      hyperv:
        reenlightenment:
          enabled: true
        ipi:
          enabled: true
        synic:
          enabled: true
        synictimer:
          direct:
            enabled: true
          enabled: true
        spinlocks:
          enabled: true
          spinlocks: 8191
        reset:
          enabled: true
        relaxed:
          enabled: true
        vpindex:
          enabled: true
        runtime:
          enabled: true
        tlbflush:
          enabled: true
        frequencies:
          enabled: true
        vapic:
          enabled: true
      smm:
        enabled: true
    firmware:
      bootloader:
        efi:
          persistent: true
          secureBoot: true
      uuid: 923bd52b-ad28-5333-b629-18b7e9e25ffe
    machine:
      type: pc-q35-rhel9.4.0
    memory:
      guest: 8Gi
      maxGuest: 32Gi
    resources:
      requests:
        memory: 8Gi
  evictionStrategy: LiveMigrateIfPossible
  networks:
    - name: default
      pod: {}
  subdomain: headless
  terminationGracePeriodSeconds: 3600
  volumes:
    - dataVolume:
        name: windows-11-virtio-moccasin-unicorn-22-volume
      name: rootdisk
status:
  memory:
    guestAtBoot: 8Gi
    guestCurrent: 8Gi
    guestRequested: 8Gi
  virtualMachineRevisionName: revision-start-vm-f03cc002-b2ed-4af3-a8ae-9ad1610d81db-5
  qosClass: Burstable
  runtimeUser: 107
  machine:
    type: pc-q35-rhel9.4.0
  guestOSInfo:
    id: mswindows
    kernelRelease: '22621'
    kernelVersion: '10.0'
    machine: x86_64
    name: Microsoft Windows
    prettyName: Windows 10 Pro
    version: Microsoft Windows 11
    versionId: '11'
  volumeStatus:
    - name: persistent-state-for-windows-11-virtio-moccasin-unicorn-22
      persistentVolumeClaimInfo:
        accessModes:
          - ReadWriteOnce
        claimName: persistent-state-for-windows-11-virtio-moccasin-unicorn-22
      target: ''
    - name: rootdisk
      persistentVolumeClaimInfo:
        accessModes:
          - ReadWriteMany
        capacity:
          storage: 64Gi
        claimName: windows-11-virtio-moccasin-unicorn-22-volume
        filesystemOverhead: '0'
        requests:
          storage: '68719476736'
        volumeMode: Block
      target: vda
  selinuxContext: 'system_u:object_r:container_file_t:s0:c55,c885'
  phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: '2025-01-22T16:00:54Z'
    - phase: Scheduling
      phaseTransitionTimestamp: '2025-01-22T16:00:54Z'
    - phase: Scheduled
      phaseTransitionTimestamp: '2025-01-22T16:00:58Z'
    - phase: Running
      phaseTransitionTimestamp: '2025-01-22T16:01:01Z'
  nodeName: cnvqe-20.lab.eng.tlv2.redhat.com
  migrationMethod: BlockMigration
  activePods:
    6bc7580e-ef06-4e9c-956c-b98e8bd736c8: cnvqe-20.lab.eng.tlv2.redhat.com
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-01-22T16:00:58Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and not running
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'cannot migrate VMI: Backend storage PVC is not RWX'
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
    - lastProbeTime: '2025-01-22T16:01:22Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  interfaces:
    - infoSource: 'domain, guest-agent'
      interfaceName: Ethernet Instance 0
      ipAddress: 10.130.6.227
      ipAddresses:
        - 10.130.6.227
      mac: '02:26:19:00:00:d7'
      name: default
      queueCount: 1
    - infoSource: guest-agent
      interfaceName: Loopback Pseudo-Interface 1
      ipAddress: 127.0.0.1
      ipAddresses:
        - '::1'
        - 127.0.0.1
  phase: Running
  migrationTransport: Unix
  topologyHints:
    tscFrequency: 1699997000
  currentCPUTopology:
    cores: 1
    sockets: 2
    threads: 1
  launcherContainerImageVersion: 'quay.io/openshift-cnv/container-native-virtualization-virt-launcher-rhel9@sha256:2e74832aa8a08ac7d56fa03380cb6b38709995c6114073d82108e2941813bc65'

